> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a task by id

GET https://{tenant_name}.benchling.com/api/v2/tasks/{task_id}

Get a task by id

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/tasks/get-task

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `task_id` (string, required) — UUID of the task

## Response

### 200

OK

- `Tasks_getTask_Response_200`

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### AsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (AsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (AsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### CreateTemplateAlignmentAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (CreateTemplateAlignmentAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (DnaAlignment, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### CreateConsensusAlignmentAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (CreateConsensusAlignmentAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (DnaAlignment, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### CreateNucleotideTemplateAlignmentAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (CreateNucleotideTemplateAlignmentAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (NucleotideAlignment, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### CreateNucleotideConsensusAlignmentAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (CreateNucleotideConsensusAlignmentAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (NucleotideAlignment, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateDnaSequencesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateDnaSequencesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateDnaSequencesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateDnaSequencesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateDnaSequencesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateDnaSequencesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateRnaSequencesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateRnaSequencesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateRnaSequencesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateRnaSequencesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateRnaSequencesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateRnaSequencesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AutofillPartsAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (AutofillPartsAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (AutofillPartsAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AutofillTranscriptionsAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (AutofillTranscriptionsAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (AutofillTranscriptionsAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AutofillTranslationsAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (AutofillTranslationsAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (AutofillTranslationsAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkRegisterEntitiesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkRegisterEntitiesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkRegisterEntitiesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateDnaOligosAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateDnaOligosAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateDnaOligosAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateDnaOligosAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateDnaOligosAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateDnaOligosAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateRnaOligosAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateRnaOligosAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateRnaOligosAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateAaSequencesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateAaSequencesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateAaSequencesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateCustomEntitiesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateCustomEntitiesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateCustomEntitiesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateCustomEntitiesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateCustomEntitiesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateCustomEntitiesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateContainersAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateContainersAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateContainersAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateContainersAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateContainersAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateContainersAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateAaSequencesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateAaSequencesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateAaSequencesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkUpdateRnaOligosAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkUpdateRnaOligosAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkUpdateRnaOligosAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### TransfersAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (TransfersAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (TransfersAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AOPProcessOutputAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (AopProcessOutputAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (AutomationOutputProcessor, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AIGGenerateInputAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (AigGenerateInputAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (AutomationInputGenerator, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### ExportsAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (ExportsAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (ExportsAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### ExportAuditLogAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (ExportAuditLogAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (ExportAuditLogAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateFeaturesAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (BulkCreateFeaturesAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (BulkCreateFeaturesAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### FindMatchingRegionsAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (FindMatchingRegionsAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (FindMatchingRegionsAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### FindMatchingRegionsDnaAsyncTask

- `status` (enum, required) — The current state of the task.
  - Allowed values: `RUNNING`, `SUCCEEDED`, `FAILED`
- `errors` (FindMatchingRegionsDnaAsyncTaskErrors, optional)
- `message` (string, optional) — Present only when status is FAILED. Contains information about the error.
- `response` (FindMatchingRegionsDnaAsyncTaskResponse, optional) — Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### AsyncTaskErrors

### AsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### CreateTemplateAlignmentAsyncTaskErrors

### DnaAlignment

- `apiURL` (string, optional) — The canonical url of the DNA Alignment in the API.
- `createdAt` (datetime, optional) — DateTime the DNA Alignment was created
- `id` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime the DNA Alignment was last modified
- `name` (string, optional)
- `referenceSequenceId` (string, optional) — The ID of the template or consensus DNA Sequence associated with the DNA Alignment
- `webURL` (string, optional) — The Benchling web UI url to view the DNA Alignment
- `alignedSequences` (list of AlignedSequence, optional)

### CreateConsensusAlignmentAsyncTaskErrors

### CreateNucleotideTemplateAlignmentAsyncTaskErrors

### NucleotideAlignment

- `apiURL` (string, optional) — The canonical url of the Alignment in the API.
- `createdAt` (datetime, optional) — DateTime the Alignment was created
- `id` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime the Alignment was last modified
- `name` (string, optional)
- `referenceSequenceId` (string, optional) — The ID of the template or consensus Sequence associated with the Alignment
- `webURL` (string, optional) — The Benchling web UI url to view the Alignment
- `alignedSequences` (list of AlignedNucleotideSequence, optional)

### CreateNucleotideConsensusAlignmentAsyncTaskErrors

### BulkCreateDnaSequencesAsyncTaskErrors

### BulkCreateDnaSequencesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `dnaSequences` (list of DnaSequence, optional)

### BulkUpdateDnaSequencesAsyncTaskErrors

### BulkUpdateDnaSequencesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `dnaSequences` (list of DnaSequence, optional)

### BulkCreateRnaSequencesAsyncTaskErrors

### BulkCreateRnaSequencesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `rnaSequences` (list of RnaSequence, optional)

### BulkUpdateRnaSequencesAsyncTaskErrors

### BulkUpdateRnaSequencesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `rnaSequences` (list of RnaSequence, optional)

### AutofillPartsAsyncTaskErrors

### AutofillPartsAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AutofillTranscriptionsAsyncTaskErrors

### AutofillTranscriptionsAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### AutofillTranslationsAsyncTaskErrors

### AutofillTranslationsAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkRegisterEntitiesAsyncTaskErrors

### BulkRegisterEntitiesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

### BulkCreateDnaOligosAsyncTaskErrors

### BulkCreateDnaOligosAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `dnaOligos` (list of DnaOligo, optional)

### BulkUpdateDnaOligosAsyncTaskErrors

### BulkUpdateDnaOligosAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `dnaOligos` (list of DnaOligo, optional)

### BulkCreateRnaOligosAsyncTaskErrors

### BulkCreateRnaOligosAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `rnaOligos` (list of RnaOligo, optional)

### BulkCreateAaSequencesAsyncTaskErrors

### BulkCreateAaSequencesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `aaSequences` (list of AaSequence, optional)

### BulkCreateCustomEntitiesAsyncTaskErrors

### BulkCreateCustomEntitiesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `customEntities` (list of CustomEntity, optional)

### BulkUpdateCustomEntitiesAsyncTaskErrors

### BulkUpdateCustomEntitiesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `customEntities` (list of CustomEntity, optional)

### BulkCreateContainersAsyncTaskErrors

### BulkCreateContainersAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `containers` (list of Container, optional)

### BulkUpdateContainersAsyncTaskErrors

### BulkUpdateContainersAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `containers` (list of Container, optional)

### BulkUpdateAaSequencesAsyncTaskErrors

### BulkUpdateAaSequencesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `AaSequences` (list of AaSequence, optional)

### BulkUpdateRnaOligosAsyncTaskErrors

### BulkUpdateRnaOligosAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `rnaOligos` (list of RnaOligo, optional)

### TransfersAsyncTaskErrors

### TransfersAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `destinationContainers` (list of Container, optional)

### AopProcessOutputAsyncTaskErrors

### AutomationOutputProcessor

- `assayRunId` (string, optional)
- `automationFileConfig` (AutomationOutputProcessorAutomationFileConfig, optional)
- `file` (Blob, optional, nullable)
- `id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `SUCCEEDED`, `FAILED`, `NOT_STARTED`, `RUNNING`
- `apiURL` (string, optional) — The canonical url of the Automation Output Processor in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `completeWithErrors` (boolean, optional) — Specifies whether file processing should complete with errors. False means any error in output file processing will result in no actions being committed. True means that if row-level errors occur, then failing rows and their errors will be saved to errorFile, and actions from successful rows will be committed.
- `createdAt` (datetime, optional) — DateTime the Automation Output Processor was created
- `errorFile` (Blob, optional, nullable)
- `modifiedAt` (datetime, optional) — DateTime the Automation Output Processor was last modified
- `progressStats` (AutomationProgressStats, optional) — Processing progress information.
- `transforms` (list of LabAutomationTransform, optional)

### AigGenerateInputAsyncTaskErrors

### AutomationInputGenerator

- `assayRunId` (string, optional)
- `automationFileConfig` (AutomationInputGeneratorAutomationFileConfig, optional)
- `file` (Blob, optional, nullable)
- `id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `SUCCEEDED`, `FAILED`, `NOT_STARTED`, `RUNNING`
- `apiURL` (string, optional) — The canonical url of the Automation Input Generator in the API.
- `createdAt` (datetime, optional) — DateTime the Automation Input Generator was last modified
- `modifiedAt` (datetime, optional) — DateTime the Automation Input Generator was last modified
- `transforms` (list of LabAutomationTransform, optional)

### ExportsAsyncTaskErrors

### ExportsAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `downloadURL` (string, optional)

### ExportAuditLogAsyncTaskErrors

### ExportAuditLogAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `downloadURL` (string, optional)

### BulkCreateFeaturesAsyncTaskErrors

### BulkCreateFeaturesAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `features` (list of Feature, optional)

### FindMatchingRegionsAsyncTaskErrors

### FindMatchingRegionsAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `aaSequenceMatches` (list of FindMatchingRegionsAsyncTaskResponseAaSequenceMatchesItems, optional)

### FindMatchingRegionsDnaAsyncTaskErrors

### FindMatchingRegionsDnaAsyncTaskResponse

Present only when status is SUCCEEDED. response can be empty if there is no data to be returned.

- `dnaSequenceMatches` (list of FindMatchingRegionsDnaAsyncTaskResponseDnaSequenceMatchesItems, optional)

### AlignedSequence

- `bases` (string, optional)
- `name` (string, optional)
- `pairwiseIdentity` (float, optional) — Fraction of bases between trimStart and trimEnd that match the template bases. Only present for Template Alignments; Will be empty for Consensus Alignments.
- `sequenceId` (string, optional, nullable)
- `trimEnd` (integer, optional)
- `trimStart` (integer, optional)
- `dnaSequenceId` (string, optional, nullable, deprecated)

### AlignedNucleotideSequence

- `bases` (string, optional)
- `name` (string, optional)
- `pairwiseIdentity` (float, optional) — Fraction of bases between trimStart and trimEnd that match the template bases. Only present for Template Alignments; Will be empty for Consensus Alignments.
- `sequenceId` (string, optional, nullable)
- `trimEnd` (integer, optional)
- `trimStart` (integer, optional)
- `dnaSequenceId` (string, optional, nullable, deprecated)

### DnaSequence

- `aliases` (list of string, optional)
- `annotations` (list of DnaAnnotation, optional)
- `apiURL` (string, optional) — The canonical url of the DNA Sequence in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `bases` (string, optional)
- `createdAt` (datetime, optional)
- `creator` (UserSummary, optional)
- `customFields` (map from string to CustomField, optional)
- `dnaAlignmentIds` (list of string, optional) — API IDs of Nucleotide Alignments involving the RNA sequence
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `folderId` (string, optional, nullable)
- `id` (string, optional)
- `isCircular` (boolean, optional)
- `length` (integer, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `parts` (list of DnaSequencePart, optional)
- `primers` (list of Primer, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `transcriptions` (list of DnaSequenceTranscription, optional)
- `translations` (list of Translation, optional)
- `url` (string, optional) — The path of the web URL, omitting the tenant domain
- `webURL` (string, optional)

### RnaSequence

- `aliases` (list of string, optional)
- `alignmentIds` (list of string, optional) — API IDs of Nucleotide Alignments involving the RNA sequence
- `annotations` (list of RnaAnnotation, optional)
- `apiURL` (string, optional) — The canonical url of the RNA Sequence in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `bases` (string, optional)
- `createdAt` (datetime, optional)
- `creator` (UserSummary, optional)
- `customFields` (map from string to CustomField, optional)
- `customNotation` (string, optional, nullable) — Representation of the RNA Sequence in the custom notation specified in the request. Null if no notation was specified.
- `customNotationName` (string, optional, nullable) — Name of the custom notation specified in the request. Null if no notation was specified.
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `folderId` (string, optional, nullable)
- `helm` (string, optional, nullable) — Representation of the RNA Sequence in HELM syntax, including any chemical modifications.
- `id` (string, optional)
- `isCircular` (boolean, optional)
- `length` (integer, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `parts` (list of RnaSequencePart, optional)
- `primers` (list of Primer, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `translations` (list of Translation, optional)
- `url` (string, optional) — The path of the web URL, omitting the tenant domain
- `webURL` (string, optional)

### DnaOligo

### RnaOligo

### AaSequence

- `aliases` (list of string, optional) — Array of aliases
- `aminoAcids` (string, optional) — Amino acids of the AA sequence.
- `annotations` (list of AaAnnotation, optional) — Array of annotation objects on the AA sequence.
- `apiURL` (string, optional) — The canonical url of the AA Sequence in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `createdAt` (datetime, optional) — DateTime the AA sequence was created.
- `creator` (UserSummary, optional)
- `customFields` (map from string to CustomField, optional) — Custom fields set on the AA sequence.
- `entityRegistryId` (string, optional, nullable) — Registry ID of the AA sequence if registered.
- `fields` (map from string to Field, optional)
- `folderId` (string, optional, nullable) — ID of the folder that contains the AA sequence.
- `id` (string, optional) — ID of the AA sequence.
- `length` (integer, optional) — Number of amino acids in the AA sequence.
- `modifiedAt` (datetime, optional) — DateTime the AA sequence was last modified.
- `name` (string, optional) — Name of the AA sequence.
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable) — Registry the AA sequence is registered in.
- `schema` (SchemaSummary, optional, nullable)
- `url` (string, optional) — The path of the web URL, omitting the tenant domain
- `webURL` (string, optional) — URL of the AA sequence.

### CustomEntity

- `aliases` (list of string, optional)
- `apiURL` (string, optional) — The canonical url of the Custom Entity in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `createdAt` (datetime, optional)
- `creator` (CustomEntityCreator, optional)
- `customFields` (map from string to CustomField, optional)
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `folderId` (string, optional, nullable)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `url` (string, optional) — The path of the web URL, omitting the tenant domain
- `webURL` (string, optional)

### Container

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `barcode` (string, optional, nullable)
- `checkoutRecord` (CheckoutRecord, optional) — *assignee field* is set if status is "RESERVED" or "CHECKED_OUT", or null if status is "AVAILABLE". *comment field* is set when container was last reserved, checked out, or checked into. *modifiedAt field* is the date and time when container was last checked out, checked in, or reserved
- `contents` (list of ContainerContent, optional)
- `createdAt` (datetime, optional)
- `creator` (UserSummary, optional)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `parentStorageId` (string, optional, nullable)
- `parentStorageSchema` (SchemaSummary, optional, nullable)
- `projectId` (string, optional, nullable)
- `quantity` (ContainerQuantity, optional) — Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.
- `restrictedSampleParties` (list of ContainerRestrictedSamplePartiesItems, optional)
- `restrictionStatus` (enum, optional)
  - Allowed values: `RESTRICTED`, `UNRESTRICTED`, `NOT_APPLICABLE`
- `role` (ExperimentalWellRole, optional, nullable)
- `sampleOwners` (list of ContainerSampleOwnersItems, optional)
- `schema` (SchemaSummary, optional, nullable)
- `volume` (DeprecatedContainerVolumeForResponse, optional) — The deprecated "volume" type key in API responses can also contain non-volume quantities for back-compatibility purposes. Use the "quantity" type key instead.
- `webURL` (string, optional)

### AutomationOutputProcessorAutomationFileConfig

- `name` (string, optional)

### Blob

- `id` (string, optional) — The universally unique identifier (UUID) for the blob.
- `mimeType` (string, optional) — eg. application/jpeg
- `name` (string, optional) — Name of the blob
- `type` (enum, optional) — One of RAW_FILE or VISUALIZATION. If VISUALIZATION, the blob may be displayed as an image preview.
  - Allowed values: `RAW_FILE`, `VISUALIZATION`
- `uploadStatus` (enum, optional)
  - Allowed values: `IN_PROGRESS`, `COMPLETE`, `ABORTED`

### ArchiveRecord

- `reason` (string, optional)

### AutomationProgressStats

Processing progress information.

- `rowsFailed` (integer, optional)
- `rowsSucceeded` (integer, optional)
- `rowsUnprocessed` (integer, optional)

### LabAutomationTransform

- `apiURL` (string, optional) — The canonical url of the transform in the API.
- `blobId` (string, optional, nullable)
- `customTransformId` (string, optional, nullable)
- `errors` (LabAutomationBenchlingAppErrors, optional)
- `id` (string, optional)
- `inputGeneratorId` (string, optional, nullable)
- `modifiedAt` (datetime, optional) — DateTime the transform was last modified.
- `outputProcessorId` (string, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `NOT_STARTED`, `RUNNING`, `FAILED`, `SUCCEEDED`

### AutomationInputGeneratorAutomationFileConfig

- `name` (string, optional)

### Feature

A feature from a feature library

- `color` (string, optional) — The color of the annotations generated by the feature. Must be a valid hex string
- `featureLibraryId` (string, optional) — The id of the feature library the feature belongs to
- `featureType` (string, optional, nullable) — The type of feature, like gene, promoter, etc. Note: This is an arbitrary string, not an enum
- `name` (string, optional) — The name of the feature
- `pattern` (string, optional) — The pattern used for matching during auto-annotation.
- `id` (string, optional) — The id of the feature
- `matchType` (enum, optional) — The match type of the feature. Used to determine how auto-annotate matches are made.
  - Allowed values: `nucleotide`, `protein`

### FindMatchingRegionsAsyncTaskResponseAaSequenceMatchesItems

- `matchingAASequenceIds` (list of string, optional)
- `targetAASequenceId` (string, optional)

### FindMatchingRegionsDnaAsyncTaskResponseDnaSequenceMatchesItems

- `matchingDnaSequenceIds` (list of string, optional)
- `targetDnaSequenceId` (string, optional)

### DnaAnnotation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)
- `type` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### CustomField

- `value` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### DnaSequencePart

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `sequenceId` (string, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### Primer

- `bases` (string, optional)
- `bindPosition` (integer, optional)
- `color` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `name` (string, optional)
- `oligoId` (string, optional)
- `overhangLength` (integer, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### RegistrationOrigin

- `originEntryId` (string, optional, nullable)
- `registeredAt` (datetime, optional)

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### DnaSequenceTranscription

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `sequenceId` (string, optional) — Linked RNA sequence ID.
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### Translation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `aminoAcids` (string, optional)
- `coerceStartCodonToMethionine` (boolean, optional, default: false) — Whether to override the translation of the start codon to Methionine. Has no effect when the start codon already translates to Methionine.
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `geneticCode` (enum, optional, default: STANDARD) — The genetic code to use when translating the nucleotide sequence into amino acids.
  - Allowed values: `STANDARD`, `VERTEBRATE_MITOCHONDRIAL`, `YEAST_MITOCHONDRIAL`, `MOLD_PROTOZOAN_COELENTERATE_MITOCHONDRIAL_MYCOPLASMA_SPIROPLASMA`, `INVERTEBRATE_MITOCHONDRIAL`, `CILIATE_DASYCLADACEAN_HEXAMITA_NUCLEAR`, `ECHINODERM_FLATWORM_MITOCHONDRIAL`, `EUPLOTID_NUCLEAR`, `BACTERIAL_ARCHAEAL_PLANT_PLASTID`, `ALTERNATIVE_YEAST_NUCLEAR`, `ASCIDIAN_MITOCHONDRIAL`, `ALTERNATIVE_FLATWORM_MITOCHONDRIAL`, `CHLOROPHYCEAN_MITOCHONDRIAL`, `TREMATODE_MITOCHONDRIAL`, `SCENEDESMUS_OBLIQUUS_MITOCHONDRIAL`, `THRAUSTOCHYTRIUM_MITOCHONDRIAL`, `RHABDOPLEURIDAE_MITOCHONDRIAL`, `CANDIDATE_DIVISION_SR1_GRACILIBACTERIA`, `PACHYSOLEN_TANNOPHILUS_NUCLEAR`, `MESODINIUM_NUCLEAR`, `PERITRICH_NUCLEAR`, `CEPHALODISCIDAE_MITOCHONDRIAL_UAA_TYR`
- `regions` (list of TranslationRegionsItems, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### RnaAnnotation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)
- `type` (string, optional)

### RnaSequencePart

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `sequenceId` (string, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### AaAnnotation

- `color` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the AA sequence is always represented as 0.
- `id` (string, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `type` (string, optional)

### CustomEntityCreator

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### CheckoutRecord

*assignee field* is set if status is "RESERVED" or "CHECKED_OUT", or null if status is "AVAILABLE". *comment field* is set when container was last reserved, checked out, or checked into. *modifiedAt field* is the date and time when container was last checked out, checked in, or reserved

- `assignee` (CheckoutRecordAssignee, optional, nullable)
- `comment` (string, optional)
- `modifiedAt` (datetime, optional)
- `status` (enum, optional)
  - Allowed values: `AVAILABLE`, `RESERVED`, `CHECKED_OUT`

### ContainerContent

- `batch` (BatchOrInaccessibleResource, optional, nullable)
- `concentration` (Measurement, optional)
- `entity` (EntityOrInaccessibleResource, optional, nullable)

### ContainerQuantity

Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.

- `units` (enum, optional, nullable)
  - Allowed values: `L`, `mL`, `uL`, `nL`, `pL`, `gal (US)`, `qt (US)`, `pt (US)`, `kg`, `g`, `mg`, `ug`, `ng`, `pg`, `lb`, `oz`, `mol`, `mmol`, `umol`, `nmol`, `pmol`, `cells`, `(x10^3) cells`, `(x10^4) cells`, `(x10^5) cells`, `(x10^6) cells`, `(x10^7) cells`, `(x10^8) cells`, `(x10^9) cells`, `items`, `units`
- `value` (double, optional, nullable)

### ContainerRestrictedSamplePartiesItems

### ExperimentalWellRole

- `group` (integer, optional)
- `primaryRole` (enum, optional)
  - Allowed values: `SAMPLE`, `CONTROL`, `STANDARD`, `BLANK`
- `subrole` (string, optional, nullable)

### ContainerSampleOwnersItems

### DeprecatedContainerVolumeForResponse

The deprecated "volume" type key in API responses can also contain non-volume quantities for back-compatibility purposes. Use the "quantity" type key instead.

- `units` (enum, optional, nullable)
  - Allowed values: `L`, `mL`, `uL`, `nL`, `pL`, `gal (US)`, `qt (US)`, `pt (US)`, `kg`, `g`, `mg`, `ug`, `ng`, `pg`, `lb`, `oz`, `mol`, `mmol`, `umol`, `nmol`, `pmol`, `cells`, `(x10^3) cells`, `(x10^4) cells`, `(x10^5) cells`, `(x10^6) cells`, `(x10^7) cells`, `(x10^8) cells`, `(x10^9) cells`, `items`, `units`
- `value` (double, optional, nullable)

### LabAutomationBenchlingAppErrors

- `topLevelErrors` (list of LabAutomationBenchlingAppErrorsTopLevelErrorsItems, optional)

### SequenceFeatureCustomField

A name and value pair associated with a sequence feature (annotation or translation). For genbank imports, these are the qualifiers associated with each feature.

- `name` (string, optional) — Name of the custom field
- `value` (string, optional) — Value of the custom field

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### TranslationRegionsItems

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.

### CheckoutRecordAssignee

### BatchOrInaccessibleResource

### Measurement

- `units` (string, required, nullable) — Can only be null if value is also null
- `value` (double, required, nullable) — Can only be null if units is also null

### EntityOrInaccessibleResource

### TeamSummary

- `id` (string, optional)
- `name` (string, optional)

### LabAutomationBenchlingAppErrorsTopLevelErrorsItems

- `errorMessage` (string, optional)

### Batch

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (datetime, optional) — DateTime at which the the result was created
- `creator` (UserSummary, optional)
- `defaultConcentration` (Measurement, optional)
- `entity` (BatchEntity, optional)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `schema` (SchemaSummary, optional, nullable)
- `webURL` (string, optional)

### InaccessibleResource

- `inaccessibleId` (string, optional)
- `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

### BatchEntity

- `entityType`: `aa_sequence` (aa_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `custom_entity` (custom_entity)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `dna_sequence` (dna_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)

## Examples

### AA Sequences - Bulk Create

**Response**

```json
{
  "response": {
    "aaSequences": [
      {
        "aliases": [
          "Example alias"
        ],
        "aminoAcids": "IKTATARRELAETSWTGDRLWGFSDNWAPALRRPSPSALGK",
        "annotations": [
          {
            "color": "#85DAE9",
            "end": 10,
            "id": "prtnann_o7zMPG0P",
            "name": "Example annotation",
            "start": 0
          }
        ],
        "apiURL": "https://benchling.com/api/v2/aa-sequences/prtn_7nMBOMm0",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "createdAt": "2021-07-14T07:34:25.156Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "folderId": "lib_mrZWMrft",
        "id": "prtn_ObbdtGhC",
        "length": 0,
        "modifiedAt": "2021-07-14T07:34:25.157Z",
        "name": "Example AA Sequence",
        "registrationOrigin": {
          "originEntryId": "etr_3wievUIJ",
          "registeredAt": "2021-07-14T07:34:25.157Z"
        },
        "registryId": "src_NetYd96a",
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "webURL": "https://benchling.com/benchling/f/lib_55UxcIps-registry/prtn_7nMBOMm0-kedchain11/edit\""
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python AA Sequences - Bulk Create
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript AA Sequences - Bulk Create
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### AA Sequences - Bulk Update

**Response**

```json
{
  "response": {
    "aaSequences": [
      {
        "aliases": [
          "Example alias"
        ],
        "aminoAcids": "IKTATARRELAETSWTGDRLWGFSDNWAPALRRPSPSALGK",
        "annotations": [
          {
            "color": "#85DAE9",
            "end": 10,
            "id": "prtnann_o7zMPG0P",
            "name": "Example annotation",
            "start": 0
          }
        ],
        "apiURL": "https://benchling.com/api/v2/aa-sequences/prtn_7nMBOMm0",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "createdAt": "2021-07-14T07:34:25.156Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "folderId": "lib_mrZWMrft",
        "id": "prtn_ObbdtGhC",
        "length": 0,
        "modifiedAt": "2021-07-14T07:34:25.157Z",
        "name": "Example AA Sequence",
        "registrationOrigin": {
          "originEntryId": "etr_3wievUIJ",
          "registeredAt": "2021-07-14T07:34:25.157Z"
        },
        "registryId": "src_NetYd96a",
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "webURL": "https://benchling.com/benchling/f/lib_55UxcIps-registry/prtn_7nMBOMm0-kedchain11/edit\""
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python AA Sequences - Bulk Update
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript AA Sequences - Bulk Update
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### AA Sequences - Find Matching Region

**Response**

```json
{
  "response": {
    "aaSequenceMatches": [
      {
        "matchingAASequenceIds": [
          "prtn_TIIi7lto",
          "prtn_0qTaIIDE"
        ],
        "targetAASequenceId": "prtn_W1Qh8teE"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python AA Sequences - Find Matching Region
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript AA Sequences - Find Matching Region
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Audit - Export Audit Log

**Response**

```json
{
  "response": {
    "downloadURL": "https://benchling-temp.s3.amazonaws.com/exports/dHJgG40awwbze7a6jhaoShaqwGGpgyb1atUD4f16/entry_audit_log_etr_Fr35NTqk_doe_04Dec2024.csv?response-content-disposition=attachment&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIASZPD3ICD3FJP5KAL%2F20241204%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20241204T194928Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Security-Token=IQo...&X-Amz-Signature=5ce237d862201e1bba540fac126852f4b1568cfa829d59618c80370a4fa58931"
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Audit - Export Audit Log
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Audit - Export Audit Log
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Containers - Bulk Create

**Response**

```json
{
  "response": {
    "containers": [
      {
        "archiveRecord": {
          "reason": "Made in error"
        },
        "barcode": "201006-005",
        "checkoutRecord": {
          "assignee": {
            "handle": "lpasteur",
            "id": "ent_a0SApq3z",
            "name": "Louis Pasteur"
          },
          "comment": "Example comment",
          "modifiedAt": "2021-07-14T12:27:27.917Z",
          "status": "AVAILABLE"
        },
        "contents": [
          {
            "batch": {
              "archiveRecord": {
                "reason": "Made in error"
              },
              "createdAt": "2021-07-14T12:27:27.917Z",
              "creator": {
                "handle": "lpasteur",
                "id": "ent_a0SApq3z",
                "name": "Louis Pasteur"
              },
              "entity": {
                "aliases": [
                  "Example alias"
                ],
                "annotations": [],
                "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
                "archiveRecord": {
                  "reason": "Made in error"
                },
                "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
                "createdAt": "2021-07-14T12:27:27.917Z",
                "creator": {
                  "handle": "lpasteur",
                  "id": "ent_a0SApq3z",
                  "name": "Louis Pasteur"
                },
                "customFields": {
                  "Legacy ID": {
                    "value": "STR100"
                  }
                },
                "entityRegistryId": "sBN000",
                "fields": {
                  "additionalProp1": {
                    "displayValue": "Amp",
                    "isMulti": true,
                    "textValue": "Amp",
                    "type": "dna_sequence_link",
                    "value": [
                      "seq_jdf8BV24"
                    ]
                  }
                },
                "folderId": "lib_hBHqKbzE",
                "id": "seq_bhuDUw9D",
                "isCircular": true,
                "length": 0,
                "modifiedAt": "2021-07-14T12:27:27.917Z",
                "name": "Example entity",
                "primers": [],
                "registrationOrigin": {
                  "originEntryId": "etr_3wievUIJ",
                  "registeredAt": "2021-07-14T07:34:25.157Z"
                },
                "registryId": "src_NetYd96a",
                "schema": {
                  "id": "ts_DaiFhsNA",
                  "name": "Example Schema"
                },
                "translations": [],
                "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-seqs/seq_bhuDUw9D-example-entity/edit"
              },
              "fields": {
                "additionalProp1": {
                  "displayValue": "Amp",
                  "isMulti": true,
                  "textValue": "Amp",
                  "type": "dna_sequence_link",
                  "value": [
                    "seq_jdf8BV24"
                  ]
                }
              },
              "id": "bat_UOIr8IjL",
              "modifiedAt": "2021-07-14T12:27:27.917Z",
              "name": "Example Batch",
              "schema": {
                "id": "ts_DaiFhsNA",
                "name": "Example Schema"
              },
              "webURL": "https://benchling.com/benchling/f/lib_55UxcIps-registry/bfi_YtegMKkT-batch-test/edit"
            },
            "concentration": {
              "units": "uM",
              "value": 5
            },
            "entity": {
              "aliases": [
                "Example alias"
              ],
              "annotations": [],
              "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
              "archiveRecord": {
                "reason": "Made in error"
              },
              "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
              "createdAt": "2021-07-14T12:27:27.917Z",
              "creator": {
                "handle": "lpasteur",
                "id": "ent_a0SApq3z",
                "name": "Louis Pasteur"
              },
              "customFields": {
                "Legacy ID": {
                  "value": "STR100"
                }
              },
              "entityRegistryId": "sBN000",
              "fields": {
                "additionalProp1": {
                  "displayValue": "Amp",
                  "isMulti": true,
                  "textValue": "Amp",
                  "type": "dna_sequence_link",
                  "value": [
                    "seq_jdf8BV24"
                  ]
                }
              },
              "folderId": "lib_mrZWMrft",
              "id": "seq_bhuDUw9D",
              "isCircular": true,
              "length": 0,
              "modifiedAt": "2021-07-14T12:27:27.917Z",
              "name": "Example entity",
              "primers": [],
              "registrationOrigin": {
                "originEntryId": "etr_3wievUIJ",
                "registeredAt": "2021-07-14T07:34:25.157Z"
              },
              "registryId": "src_NetYd96a",
              "schema": {
                "id": "ts_DaiFhsNA",
                "name": "Example Schema"
              },
              "translations": [],
              "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-seqs/seq_bhuDUw9D-example-entity/edit"
            }
          }
        ],
        "createdAt\"": "2021-07-14T12:27:27.917Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "id": "con_ZBL9QQWD",
        "modifiedAt": "2021-07-14T12:27:27.917Z",
        "name": "Example container",
        "parentStorageId": "loc_MmtNUQIA",
        "parentStorageSchema": {
          "id": "locsch_ToRk7Elm",
          "name": "Building"
        },
        "projectId": "src_1m4443Ek",
        "quantity": {
          "units": "mL",
          "value": 10
        },
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "volume": {
          "units": "mL",
          "value": 10
        },
        "webURL": "https://benchling.com/samples/containers/con_FzQ1stz9"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Containers - Bulk Create
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Containers - Bulk Create
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Containers - Bulk Update

**Response**

```json
{
  "response": {
    "containers": [
      {
        "archiveRecord": {
          "reason": "Made in error"
        },
        "barcode": "201006-005",
        "checkoutRecord": {
          "assignee": {
            "handle": "lpasteur",
            "id": "ent_a0SApq3z",
            "name": "Louis Pasteur"
          },
          "comment": "Example comment",
          "modifiedAt": "2021-07-14T12:27:27.917Z",
          "status": "AVAILABLE"
        },
        "contents": [
          {
            "batch": {
              "archiveRecord": {
                "reason": "Made in error"
              },
              "createdAt": "2021-07-14T12:27:27.917Z",
              "creator": {
                "handle": "lpasteur",
                "id": "ent_a0SApq3z",
                "name": "Louis Pasteur"
              },
              "entity": {
                "aliases": [
                  "Example alias"
                ],
                "annotations": [],
                "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
                "archiveRecord": {
                  "reason": "Made in error"
                },
                "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
                "createdAt": "2021-07-14T12:27:27.917Z",
                "creator": {
                  "handle": "lpasteur",
                  "id": "ent_a0SApq3z",
                  "name": "Louis Pasteur"
                },
                "customFields": {
                  "Legacy ID": {
                    "value": "STR100"
                  }
                },
                "entityRegistryId": "sBN000",
                "fields": {
                  "additionalProp1": {
                    "displayValue": "Amp",
                    "isMulti": true,
                    "textValue": "Amp",
                    "type": "dna_sequence_link",
                    "value": [
                      "seq_jdf8BV24"
                    ]
                  }
                },
                "folderId": "lib_hBHqKbzE",
                "id": "seq_bhuDUw9D",
                "isCircular": true,
                "length": 0,
                "modifiedAt": "2021-07-14T12:27:27.917Z",
                "name": "Example entity",
                "primers": [],
                "registrationOrigin": {
                  "originEntryId": "etr_3wievUIJ",
                  "registeredAt": "2021-07-14T07:34:25.157Z"
                },
                "registryId": "src_NetYd96a",
                "schema": {
                  "id": "ts_DaiFhsNA",
                  "name": "Example Schema"
                },
                "translations": [],
                "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-seqs/seq_bhuDUw9D-example-entity/edit"
              },
              "fields": {
                "additionalProp1": {
                  "displayValue": "Amp",
                  "isMulti": true,
                  "textValue": "Amp",
                  "type": "dna_sequence_link",
                  "value": [
                    "seq_jdf8BV24"
                  ]
                }
              },
              "id": "bat_UOIr8IjL",
              "modifiedAt": "2021-07-14T12:27:27.917Z",
              "name": "Example Batch",
              "schema": {
                "id": "ts_DaiFhsNA",
                "name": "Example Schema"
              },
              "webURL": "https://benchling.com/benchling/f/lib_55UxcIps-registry/bfi_YtegMKkT-batch-test/edit"
            },
            "concentration": {
              "units": "uM",
              "value": 5
            },
            "entity": {
              "aliases": [
                "Example alias"
              ],
              "annotations": [],
              "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
              "archiveRecord": {
                "reason": "Made in error"
              },
              "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
              "createdAt": "2021-07-14T12:27:27.917Z",
              "creator": {
                "handle": "lpasteur",
                "id": "ent_a0SApq3z",
                "name": "Louis Pasteur"
              },
              "customFields": {
                "Legacy ID": {
                  "value": "STR100"
                }
              },
              "entityRegistryId": "sBN000",
              "fields": {
                "additionalProp1": {
                  "displayValue": "Amp",
                  "isMulti": true,
                  "textValue": "Amp",
                  "type": "dna_sequence_link",
                  "value": [
                    "seq_jdf8BV24"
                  ]
                }
              },
              "folderId": "lib_mrZWMrft",
              "id": "seq_bhuDUw9D",
              "isCircular": true,
              "length": 0,
              "modifiedAt": "2021-07-14T12:27:27.917Z",
              "name": "Example entity",
              "primers": [],
              "registrationOrigin": {
                "originEntryId": "etr_3wievUIJ",
                "registeredAt": "2021-07-14T07:34:25.157Z"
              },
              "registryId": "src_NetYd96a",
              "schema": {
                "id": "ts_DaiFhsNA",
                "name": "Example Schema"
              },
              "translations": [],
              "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-seqs/seq_bhuDUw9D-example-entity/edit"
            }
          }
        ],
        "createdAt\"": "2021-07-14T12:27:27.917Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "id": "con_ZBL9QQWD",
        "modifiedAt": "2021-07-14T12:27:27.917Z",
        "name": "Example container",
        "parentStorageId": "loc_MmtNUQIA",
        "parentStorageSchema": {
          "id": "locsch_ToRk7Elm",
          "name": "Building"
        },
        "projectId": "src_1m4443Ek",
        "quantity": {
          "units": "mL",
          "value": 10
        },
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "volume": {
          "units": "mL",
          "value": 10
        },
        "webURL": "https://benchling.com/samples/containers/con_FzQ1stz9"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Containers - Bulk Update
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Containers - Bulk Update
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Containers - Transfers

**Response**

```json
{
  "response": {
    "destinationContainers": [
      {
        "archiveRecord": {
          "reason": "Made in error"
        },
        "barcode": "201006-005",
        "checkoutRecord": {
          "assignee": {
            "handle": "lpasteur",
            "id": "ent_a0SApq3z",
            "name": "Louis Pasteur"
          },
          "comment": "Example comment",
          "modifiedAt": "2021-07-14T12:27:27.917Z",
          "status": "AVAILABLE"
        },
        "contents": [
          {
            "batch": {
              "archiveRecord": {
                "reason": "Made in error"
              },
              "createdAt": "2021-07-14T12:27:27.917Z",
              "creator": {
                "handle": "lpasteur",
                "id": "ent_a0SApq3z",
                "name": "Louis Pasteur"
              },
              "entity": {
                "aliases": [
                  "Example alias"
                ],
                "annotations": [],
                "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
                "archiveRecord": {
                  "reason": "Made in error"
                },
                "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
                "createdAt": "2021-07-14T12:27:27.917Z",
                "creator": {
                  "handle": "lpasteur",
                  "id": "ent_a0SApq3z",
                  "name": "Louis Pasteur"
                },
                "customFields": {
                  "Legacy ID": {
                    "value": "STR100"
                  }
                },
                "entityRegistryId": "sBN000",
                "fields": {
                  "additionalProp1": {
                    "displayValue": "Amp",
                    "isMulti": true,
                    "textValue": "Amp",
                    "type": "dna_sequence_link",
                    "value": [
                      "seq_jdf8BV24"
                    ]
                  }
                },
                "folderId": "lib_hBHqKbzE",
                "id": "seq_bhuDUw9D",
                "isCircular": true,
                "length": 0,
                "modifiedAt": "2021-07-14T12:27:27.917Z",
                "name": "Example entity",
                "primers": [],
                "registrationOrigin": {
                  "originEntryId": "etr_3wievUIJ",
                  "registeredAt": "2021-07-14T07:34:25.157Z"
                },
                "registryId": "src_NetYd96a",
                "schema": {
                  "id": "ts_DaiFhsNA",
                  "name": "Example Schema"
                },
                "translations": [],
                "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-seqs/seq_bhuDUw9D-example-entity/edit"
              },
              "fields": {
                "additionalProp1": {
                  "displayValue": "Amp",
                  "isMulti": true,
                  "textValue": "Amp",
                  "type": "dna_sequence_link",
                  "value": [
                    "seq_jdf8BV24"
                  ]
                }
              },
              "id": "bat_UOIr8IjL",
              "modifiedAt": "2021-07-14T12:27:27.917Z",
              "name": "Example Batch",
              "schema": {
                "id": "ts_DaiFhsNA",
                "name": "Example Schema"
              },
              "webURL": "https://benchling.com/benchling/f/lib_55UxcIps-registry/bfi_YtegMKkT-batch-test/edit"
            },
            "concentration": {
              "units": "uM",
              "value": 5
            },
            "entity": {
              "aliases": [
                "Example alias"
              ],
              "annotations": [],
              "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
              "archiveRecord": {
                "reason": "Made in error"
              },
              "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
              "createdAt": "2021-07-14T12:27:27.917Z",
              "creator": {
                "handle": "lpasteur",
                "id": "ent_a0SApq3z",
                "name": "Louis Pasteur"
              },
              "customFields": {
                "Legacy ID": {
                  "value": "STR100"
                }
              },
              "entityRegistryId": "sBN000",
              "fields": {
                "additionalProp1": {
                  "displayValue": "Amp",
                  "isMulti": true,
                  "textValue": "Amp",
                  "type": "dna_sequence_link",
                  "value": [
                    "seq_jdf8BV24"
                  ]
                }
              },
              "folderId": "lib_mrZWMrft",
              "id": "seq_bhuDUw9D",
              "isCircular": true,
              "length": 0,
              "modifiedAt": "2021-07-14T12:27:27.917Z",
              "name": "Example entity",
              "primers": [],
              "registrationOrigin": {
                "originEntryId": "etr_3wievUIJ",
                "registeredAt": "2021-07-14T07:34:25.157Z"
              },
              "registryId": "src_NetYd96a",
              "schema": {
                "id": "ts_DaiFhsNA",
                "name": "Example Schema"
              },
              "translations": [],
              "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-seqs/seq_bhuDUw9D-example-entity/edit"
            }
          }
        ],
        "createdAt\"": "2021-07-14T12:27:27.917Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "id": "con_ZBL9QQWD",
        "modifiedAt": "2021-07-14T12:27:27.917Z",
        "name": "Example container",
        "parentStorageId": "loc_MmtNUQIA",
        "parentStorageSchema": {
          "id": "locsch_ToRk7Elm",
          "name": "Building"
        },
        "projectId": "src_1m4443Ek",
        "quantity": {
          "units": "mL",
          "value": 10
        },
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "volume": {
          "units": "mL",
          "value": 10
        },
        "webURL": "https://benchling.com/samples/containers/con_FzQ1stz9"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Containers - Transfers
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Containers - Transfers
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Custom Entities - Bulk Create

**Response**

```json
{
  "response": {
    "customEntities": [
      {
        "aliases": [
          "sBN000"
        ],
        "apiURL": "https://benchling.com/api/v2/custom-entities/bfi_xCUXNVyG",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "authors": [
          {
            "handle": "lpasteur",
            "id": "ent_a0SApq3z",
            "name": "Louis Pasteur"
          }
        ],
        "createdAt": "2021-07-14T07:34:25.156Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "folderId": "lib_mrZWMrft",
        "id": "prtn_ObbdtGhC",
        "modifiedAt": "2021-07-14T07:34:25.157Z",
        "name": "sBN000",
        "registrationOrigin": {
          "originEntryId": "etr_3wievUIJ",
          "registeredAt": "2021-07-14T07:34:25.157Z"
        },
        "registryId": "src_NetYd96a",
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "webURL": "https://benchling.com/benchling/f/R8KcsjhW-academic-registry/bfi-xCUXNVyG-sbn000/edit"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Custom Entities - Bulk Create
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Custom Entities - Bulk Create
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Custom Entities - Bulk Update

**Response**

```json
{
  "response": {
    "customEntities": [
      {
        "aliases": [
          "sBN000"
        ],
        "apiURL": "https://benchling.com/api/v2/custom-entities/bfi_xCUXNVyG",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "authors": [
          {
            "handle": "lpasteur",
            "id": "ent_a0SApq3z",
            "name": "Louis Pasteur"
          }
        ],
        "createdAt": "2021-07-14T07:34:25.156Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "folderId": "lib_mrZWMrft",
        "id": "prtn_ObbdtGhC",
        "modifiedAt": "2021-07-14T07:34:25.157Z",
        "name": "sBN000",
        "registrationOrigin": {
          "originEntryId": "etr_3wievUIJ",
          "registeredAt": "2021-07-14T07:34:25.157Z"
        },
        "registryId": "src_NetYd96a",
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "webURL": "https://benchling.com/benchling/f/R8KcsjhW-academic-registry/bfi-xCUXNVyG-sbn000/edit"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Custom Entities - Bulk Update
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Custom Entities - Bulk Update
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Alignments - Create Consensus Alignment

**Response**

```json
{
  "response": {
    "alignedSequences": [
      {
        "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
        "dnaSequenceId": "seq_MYmsnS1u",
        "name": "Gene001",
        "sequenceId": "seq_MYmsnS1u",
        "trimEnd": 60,
        "trimStart": 0
      }
    ],
    "apiURL": "https://benchling.com/api/v2/dna-alignments/seqanl_6ZVdX98t",
    "createdAt": "2021-07-13T12:59:51.903Z",
    "id": "seqanl_6ZVdX98t",
    "modifiedAt": "2021-07-13T12:59:51.903Z",
    "name": "Example alignment",
    "webURL": "https://benchling.com/benchling/f/lib_Fy2C0HOl-example/seq_UpzwvUug-consensus/edit?alignment=seqanl_6ZVdX98t"
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Alignments - Create Consensus Alignment
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Alignments - Create Consensus Alignment
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Alignments - Create Template Alignment

**Response**

```json
{
  "response": {
    "alignedSequences": [
      {
        "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
        "dnaSequenceId": "seq_MYmsnS1u",
        "name": "Gene001",
        "sequenceId": "seq_MYmsnS1u",
        "trimEnd": 60,
        "trimStart": 0
      }
    ],
    "apiURL": "https://benchling.com/api/v2/dna-alignments/seqanl_6ZVdX98t",
    "createdAt": "2021-07-13T12:59:51.903Z",
    "id": "seqanl_6ZVdX98t",
    "modifiedAt": "2021-07-13T12:59:51.903Z",
    "name": "Example alignment",
    "webURL": "https://benchling.com/benchling/f/lib_Fy2C0HOl-example/seq_UpzwvUug-consensus/edit?alignment=seqanl_6ZVdX98t"
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Alignments - Create Template Alignment
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Alignments - Create Template Alignment
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Oligos - Bulk Create

**Response**

```json
{
  "response": {
    "dnaOligos": [
      {
        "aliases": [
          "Example alias"
        ],
        "apiURL": "https://benchling.com/api/v2/dna-oligos/seq_bhuDUw9D",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "bases": "ACTTTTT",
        "createdAt": "2021-07-13T21:00:49.245Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "folderId": "lib_mrZWMrft",
        "id": "seq_bhuDUw9D",
        "length": 0,
        "modifiedAt": "2021-07-13T21:00:49.245Z",
        "name": "Example DNA Oligo",
        "nucleotideType": "DNA",
        "registrationOrigin": {
          "originEntryId": "etr_3wievUIJ",
          "registeredAt": "2021-07-13T21:00:49.245Z"
        },
        "registryId": "src_NetYd96a",
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-oligos/seq_bhuDUw9D-test-oligo-abc/edit"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Oligos - Bulk Create
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Oligos - Bulk Create
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Oligos - Bulk Update

**Response**

```json
{
  "response": {
    "dnaOligos": [
      {
        "aliases": [
          "Example alias"
        ],
        "apiURL": "https://benchling.com/api/v2/dna-oligos/seq_bhuDUw9D",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "bases": "ACTTTTT",
        "createdAt": "2021-07-13T21:00:49.245Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": {
          "additionalProp1": {
            "displayValue": "Amp",
            "isMulti": true,
            "textValue": "Amp",
            "type": "dna_sequence_link",
            "value": [
              "seq_jdf8BV24"
            ]
          }
        },
        "folderId": "lib_mrZWMrft",
        "id": "seq_bhuDUw9D",
        "length": 0,
        "modifiedAt": "2021-07-13T21:00:49.245Z",
        "name": "Example DNA Oligo",
        "nucleotideType": "DNA",
        "registrationOrigin": {
          "originEntryId": "etr_3wievUIJ",
          "registeredAt": "2021-07-13T21:00:49.245Z"
        },
        "registryId": "src_NetYd96a",
        "schema": {
          "id": "ts_DaiFhsNA",
          "name": "Example Schema"
        },
        "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-oligos/seq_bhuDUw9D-test-oligo-abc/edit"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Oligos - Bulk Update
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Oligos - Bulk Update
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Sequences - Auto Annotate

**Response**

```json
{
  "response": {},
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Sequences - Auto Annotate
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Sequences - Auto Annotate
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Sequences - Autofill Parts

**Response**

```json
{
  "response": {},
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Sequences - Autofill Parts
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Sequences - Autofill Parts
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Sequences - Autofill Transcriptions

**Response**

```json
{
  "response": {},
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Sequences - Autofill Transcriptions
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Sequences - Autofill Transcriptions
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Sequences - Autofill Translations

**Response**

```json
{
  "response": {},
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Sequences - Autofill Translations
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Sequences - Autofill Translations
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Sequences - Bulk Create

**Response**

```json
{
  "response": {
    "dnaSequences": [
      {
        "aliases": [
          "Example alias"
        ],
        "annotations": [
          {
            "color": "#85DAE9",
            "end": 10,
            "name": "Example annotation",
            "start": 0,
            "strand": 0,
            "type": "Example annotation type"
          }
        ],
        "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
        "createdAt": "2021-07-13T13:16:44.315Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": [
          {
            "additionalProp1": {
              "displayValue": "Amp",
              "isMulti": true,
              "textValue": "Amp",
              "type": "dna_sequence_link",
              "value": [
                "seq_jdf8BV24"
              ]
            }
          }
        ],
        "folderId": "lib_mrZWMrft",
        "id": "seq_asQya4lk",
        "isCircular": true,
        "length": 0,
        "modifiedAt": "2021-07-13T13:16:44.315Z",
        "name": "Example sequence",
        "primers": [
          {
            "bases": "CATCG",
            "bindPosition": 0,
            "color": "#F58A5E",
            "end": 5,
            "name": "Example primer",
            "oligoId": "seq_HJyE332n",
            "overhangLength": 0,
            "start": 0,
            "strand": -1
          }
        ],
        "registrationOrigin": {
          "originEntryId": "ent_a0SApq3z",
          "registeredAt": "2021-07-13T13:16:44.315Z"
        },
        "registryId": "src_ae40j3TZ",
        "schema": {
          "id": "ts_n4l12nf0",
          "name": "Example schema"
        },
        "translations": [
          {
            "aminoAcids": "KK",
            "end": 0,
            "regions": [
              {
                "end": 0,
                "start": 0
              }
            ],
            "start": 0,
            "strand": 1
          }
        ],
        "webURL": "https://benchling.com/benchling/f/lib_zky83cLg-computed-fields/seq_mnY8u4bs-chain-1/edit"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Sequences - Bulk Create
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Sequences - Bulk Create
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### DNA Sequences - Bulk Update

**Response**

```json
{
  "response": {
    "dnaSequences": [
      {
        "aliases": [
          "Example alias"
        ],
        "annotations": [
          {
            "color": "#85DAE9",
            "end": 10,
            "name": "Example annotation",
            "start": 0,
            "strand": 0,
            "type": "Example annotation type"
          }
        ],
        "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
        "createdAt": "2021-07-13T13:16:44.315Z",
        "creator": {
          "handle": "lpasteur",
          "id": "ent_a0SApq3z",
          "name": "Louis Pasteur"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "sBN000",
        "fields": [
          {
            "additionalProp1": {
              "displayValue": "Amp",
              "isMulti": true,
              "textValue": "Amp",
              "type": "dna_sequence_link",
              "value": [
                "seq_jdf8BV24"
              ]
            }
          }
        ],
        "folderId": "lib_mrZWMrft",
        "id": "seq_asQya4lk",
        "isCircular": true,
        "length": 0,
        "modifiedAt": "2021-07-13T13:16:44.315Z",
        "name": "Example sequence",
        "primers": [
          {
            "bases": "CATCG",
            "bindPosition": 0,
            "color": "#F58A5E",
            "end": 5,
            "name": "Example primer",
            "oligoId": "seq_HJyE332n",
            "overhangLength": 0,
            "start": 0,
            "strand": -1
          }
        ],
        "registrationOrigin": {
          "originEntryId": "ent_a0SApq3z",
          "registeredAt": "2021-07-13T13:16:44.315Z"
        },
        "registryId": "src_ae40j3TZ",
        "schema": {
          "id": "ts_n4l12nf0",
          "name": "Example schema"
        },
        "translations": [
          {
            "aminoAcids": "KK",
            "end": 0,
            "regions": [
              {
                "end": 0,
                "start": 0
              }
            ],
            "start": 0,
            "strand": 1
          }
        ],
        "webURL": "https://benchling.com/benchling/f/lib_zky83cLg-computed-fields/seq_mnY8u4bs-chain-1/edit"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python DNA Sequences - Bulk Update
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript DNA Sequences - Bulk Update
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Exports - Export Item

**Response**

```json
{
  "response": {
    "downloadURL": "https://benchling-temp.s3.amazonaws.com/benchling-temp/RShkPPS0dj1jsn1LKnbpl7mz421kne52Ndp8UJnB/capillary/export_items/etr_HzOyiNj8.zip?response-content-disposition=attachment&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAVNBDYFYCFXORLN46%2F20210714%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20210714T144850Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEB4aCXVzLWVhc3QtMSJSDNU1IHZ81FpESNaiQLue6l%2Bjz04FWk7fNUhMxiEbLYCt5LDNAiEAhNbTM9EdeAuxlj4svhS01NmwRJZTyF3Bjzr%2BhK22ACcq%2BQMIFxAAGrebNzE1ODk2NTYwNjgiDHKa3fq33iZwsM1KdCrWA8dnOWQ1%2FXsYrrbzk7cCID6qPA%2F3MQH%2F7FaQoMCUvXj06aeH6RhMD5WZyqoaISBr%2FP4FUua%2B%2FFSdAW8UoFpur0IvkSFTi472CA7hfGmgcjspBdsTCrOA8R1ofgscYwOvGcFreenw5l1VhXZDSeXLC9yLJXPBWFzeup8uRyNXQFIHFcmNHvsLiLMUTY0S5eEBc5Zn9SAaWOcm4OGjAurpUJqpTTPOAu5VZOT2d1K2XMy%2FoH7x01Xf0MRIEd0yfyOLK60dhngbaey39vw1wMfPOm3JBvOyVdhGg1WR2sRF1RG10t7dI7iIO2Y4Z3Yb9w%2FdQhlafF8Ss45YtRRv2RRtzfpwoWE846At1pWvhP0tA0I1bhtehd6Upk%2F0iLehO5JWUiYqz1oMfefdZa30JAS9UNdKNqqsX8%2FjhAR9Ff09xKzOD%2FXzqeZwTT0EWtG6hqerKX9%2B%2BULfjB%2F44t3FjL5pRXrxRDIy0uZVI3qhjoRot5Nf7Lm9edccJJ%2BaujnHOMd96mxEcB584VO6eb63I99geVmNO%2FGpuuBvMxf2oV4AN83BEKipJEM3K4OYFI5VASfcTx2V3nMILj8FMKATYEWPYns0KxMuEpQ0Nf7dSSEiFKIfQ1px5iEvMKfPu4cGOqUBUaO0C2gNEeOUs8Fy4ci2hsLw4MW7jVnT5jLEQd2BB44hZzqkMvmeOYeiTxQB%2FgBpqAC%2FfZRF2Am3nCyLaADQYGpRhpg0QFRkBH8ukSxqOx%2BwLvLAV537t5AfFLcqjar4C9a0DXO9hgWfF3yY6HISlZ4NE9VGXei1wqy7i5ZDcbP1%2FlfWqH6LspK2rMJGgAlJthf7De%2BlQ5yJmYW%2FH7KG5eC%2Fu2MV&X-Amz-Signature=b08cad199962bcdc6d0b4b5d2409e90b67a4484ae554ce843f537d1d471ea70d"
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Exports - Export Item
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Exports - Export Item
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Features - Bulk Create

**Response**

```json
{
  "response": {
    "features": [
      {
        "color": "#75C6A9",
        "featureLibraryId": "featlib_cWYhFmxq",
        "featureType": "promoter",
        "id": "feat_XhYjGBpFoZ4wVary",
        "matchType": "nucleotide",
        "name": "lacZalpha promoter",
        "pattern": "ggagtactgtcctccgagcggagtactgtcctccgagcggagtactgtcctccgagcggagtactgtcctccgagcggagttctgtcctccga"
      }
    ]
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Features - Bulk Create
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Features - Bulk Create
const url = 'https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

### Lab Automation - Generate Input

**Response**

```json
{
  "response": {
    "apiURL": "https://benchling.com/api/v2/automation-input-generators/aif_C3wGA9HF",
    "assayRunId": "588aca02-1a20-4b94-a40f-b3f3a0081749",
    "automationFileConfig": {
      "name": "MyInstrumentName"
    },
    "file": {
      "id": "c33fe52d-fe6a-4c98-adcd-211bdf6778f7",
      "mimeType": "text/csv",
      "name": "MyInstrumentInputFile.csv",
      "type": "RAW_FILE",
      "uploadStatus": "IN_PROGRESS"
    },
    "id": "aif_C3wGA9HF",
    "status": "SUCCEEDED"
  },
  "status": "SUCCEEDED"
}
```

**SDK Code**

```python Lab Automation - Generate Input
import requests

url = "https://{tenant_name}.benchling.com/api/v2/tasks/f438d656-c2c3-40a4-b3fd-d7e58db78242"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Lab Automation - Generate Input
[...]
